Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452137 - qdiskd doesn't check the score during initialization
Summary: qdiskd doesn't check the score during initialization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman
Version: 4
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL: http://www.redhat.com/archives/linux-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 15:35 UTC by Attila Lajko
Modified: 2009-05-18 21:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 21:18:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1053 normal SHIPPED_LIVE cman bug-fix update 2009-05-18 21:18:38 UTC

Description Attila Lajko 2008-06-19 15:35:51 UTC
Description of problem:

Qdiskd starts up (with cman_stop="1") even if the score is less than minimal or none of the heuristics 
was successful. 

Version-Release number of selected component (if applicable):
cman-1.0.17-0.el4_6.5


Additional info:
/var/log/messages:

Jun 19 17:33:08 el4 qdiskd[13195]: <debug> Heuristic: '[ -f /quorum ]' score=2 interval=2 tko=1 
Jun 19 17:33:08 el4 qdiskd[13195]: <debug> Heuristic: '/bin/ping 172.16.5.26 -c1 -t1 -W1' score=1 
interval=2 tko=1 
Jun 19 17:33:08 el4 qdiskd[13195]: <debug> 2 heuristics loaded 
Jun 19 17:33:08 el4 qdiskd[13195]: <debug> Quorum Daemon: 2 heuristics, 1 interval, 10 tko, 3 votes 
Jun 19 17:33:08 el4 qdiskd[13195]: <info> Quorum Partition: /dev/sda1 Label: qtest 
Jun 19 17:33:08 el4 qdiskd[13196]: <info> Quorum Daemon Initializing 
Jun 19 17:33:08 el4 qdiskd: Starting the Quorum Disk Daemon: succeeded
Jun 19 17:33:18 el4 qdiskd[13196]: <info> Initial score 0/3 
Jun 19 17:33:18 el4 qdiskd[13196]: <info> Initialization complete 
Jun 19 17:33:20 el4 qdiskd[13196]: <debug> Node 2 is UP 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <notice> Resource Group Manager Starting 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <info> Loading Service Data 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <info> Initializing Services 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <info> Services Initialized 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <info> Logged in SG "usrm::manager" 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <info> Magma Event: Membership Change 
Jun 19 17:33:25 el4 clurgmgrd[13230]: <info> State change: Local UP 
Jun 19 17:33:25 el4 rgmanager: clurgmgrd indítása succeeded
Jun 19 17:33:27 el4 qdiskd[13196]: <info> Node 2 shutdown 
Jun 19 17:33:35 el4 fenced: startup succeeded

http://www.redhat.com/archives/linux-cluster/2007-October/msg00284.html

Comment 1 Lon Hohberger 2008-07-24 20:06:58 UTC
I have pushed this to the STABLE branch in git, but not RHEL4 yet.

Comment 2 Lon Hohberger 2008-07-28 19:12:52 UTC
Pushed to rhel4 branch

Comment 7 errata-xmlrpc 2009-05-18 21:18:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1053.html


Note You need to log in before you can comment on or make changes to this bug.